# Update inbound MMS webhook/URI

## Overview

Update the webhook/URI for inbound MMS messages.

{% hint style="danger" %}
As a prerequisite to use MMS, the number you are enabling must already be SMS enabled, and your account must have MMS enabled. Contact <support@tsgglobal.com> if you have any concerns.
{% endhint %}

## Authentication

{% hint style="info" %}
Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer \<api\_key>"
{% endhint %}

## Method

To enable MMS, call the below end-point and set the PostURL for inbound MMS.

<mark style="color:green;">`POST`</mark> `https://api-service.tsgglobal.world/v2/dids/<number>/mms/enable`

#### Path Parameters

| Name                                     | Type   | Description                                           |
| ---------------------------------------- | ------ | ----------------------------------------------------- |
| number<mark style="color:red;">\*</mark> | String | The phone number you would like to update sms uri for |

#### Request Body

| Name                                  | Type   | Description                                                                                                          |
| ------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------- |
| uri<mark style="color:red;">\*</mark> | String | A URI pointing to the destination at which you want to receive the messages. Can either be HTTP(S) or an MMS server. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "mms_enabled": true,
  "mms_uri": "http://mms.example.com",
  "number": "12342341234",
  "sms_enabled": true,
  "sms_uri": null # null means SMPP
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/manage-number-for-mms/update-inbound-mms-webhook-uri.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
